## com.arsdigita.docmgr
Interface Constants

All Known Implementing Classes:
  File, Folder, Repository, ResourceImpl

public interface Constants

Constants used throughout the document manager application.

Version:
  $Id: //apps/docmgr/dev/src/com/arsdigita/docmgr/Constants.java#3 $

Field Summary
`static String` `ACTION`
`static String` `CONTENT`
`static String` `DESCRIPTION`
`static String` `DURATION`
`static String` `FOLDER_ID`
`static String` `IS_FOLDER`
`static String` `LAST_MODIFIED_DATE`
`static String` `MIME_TYPE_LABEL`
`static String` `NAME`
`static String` `OBJECT_ID`
`static String` `PARENT`
`static String` `PARTY_ID`
`static String` `PATH`
`static String` `REPOSITORIES_MOUNTED`
`static String` `SIZE`
`static String` `TEXT_HTML`
`static String` `TEXT_PLAIN`
`static String` `TYPE`
`static String` `USER_ID`

Field Detail

### ACTION

    public static final String ACTION

See Also:
  Constant Field Values

### CONTENT

    public static final String CONTENT

See Also:
  Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

### DURATION

    public static final String DURATION

See Also:
  Constant Field Values

### FOLDER_ID

    public static final String FOLDER_ID

See Also:
  Constant Field Values

### IS_FOLDER

    public static final String IS_FOLDER

See Also:
  Constant Field Values

### LAST_MODIFIED_DATE

    public static final String LAST_MODIFIED_DATE

See Also:
  Constant Field Values

### MIME_TYPE_LABEL

    public static final String MIME_TYPE_LABEL

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### OBJECT_ID

    public static final String OBJECT_ID

See Also:
  Constant Field Values

### PARENT

    public static final String PARENT

See Also:
  Constant Field Values

### PARTY_ID

    public static final String PARTY_ID

See Also:
  Constant Field Values

### PATH

    public static final String PATH

See Also:
  Constant Field Values

### SIZE

    public static final String SIZE

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### USER_ID

    public static final String USER_ID

See Also:
  Constant Field Values

### REPOSITORIES_MOUNTED

    public static final String REPOSITORIES_MOUNTED

See Also:
  Constant Field Values

### TEXT_PLAIN

    public static final String TEXT_PLAIN

See Also:
  Constant Field Values

### TEXT_HTML

    public static final String TEXT_HTML

See Also:
  Constant Field Values

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC